Bug 253982 - RFE: LiveCD "Install to Hard Drive" should reveal how much disk space is needed
RFE: LiveCD "Install to Hard Drive" should reveal how much disk space is needed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-23 08:43 EDT by xunilarodef
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-23 11:05:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xunilarodef 2007-08-23 08:43:41 EDT
Description of problem:
  The installer fails to share with the user how much space it requires,
which may lead to a lengthy trial-and-error iteration before the install
succeeds when attempting to use hard disk space conservatively. 

How reproducible:
  Very.

Steps to Reproduce:
1. Boot LiveCD 
2. Use the "Install to Hard Drive" application.
3. Select  "Use free space on selected drives and create default layout,"
  when there is less free space than anaconda requires.

Actual results:
  When one attempts to use the "Install to Hard Drive" application
for a destination of minimal size, and guesses wrong, the reward is
a dialog titled "Error" containing:

    The root filesystem you created is not large enough for this live image.
    Back   Exit installer

Expected results:
  With a small change in in doRepoSetup() circa lines 353-354 (and
inserting a new line in between those two; line numbers f8t1 vintage) in
/usr/lib/anaconda/livecd.py similar to:

                                         "not large enough for this "
                                         str("%.3f" % ossize)
                                         "MB live image."), type = "custom",

one could reduce the trial and error iteration by revealing how much
space is required, yielding a dialog similar to:

    The root filesystem you created is not large enough for this 
    3994.385 MB live image.
    Back   Exit installer

Additional info:
  This will be:
  - more accurate, and
  - simpler to maintain (i.e. do nothing)
than attempting to track this moving number in a separate documentation
file.  Consider the plight of those who wish to have a multiple boot
system with a sample of many different releases (or even distributions)
with non-trivial amounts of disk space dedicated only to their current
favorite system.
Comment 1 Jeremy Katz 2007-08-23 11:05:58 EDT
Thanks, added!
Comment 2 xunilarodef 2007-09-26 07:48:21 EDT
The actual message from the f8t2 LiveCD is:
    The root filesystem you created is not large 
    enough for this live image (4096 MB required
    Back   Exit installer
                                                ^
A closing parenthesis and a period would be nice additions.  Not nitpicking,
just seeking a nice fit and finish..

Note You need to log in before you can comment on or make changes to this bug.